Bug 130606 - Missing buildrequires in freediag
Missing buildrequires in freediag
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-22 13:35 EDT by Roy-Magne Mo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 08:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roy-Magne Mo 2004-08-22 13:35:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
freediag fails to build when openssl-devel is not installed,
openssl-devel should be required. 

freeradius build happily without pam-devel installed, since pam is
used heavily in fedora/redhat I guess this is also a bug and should be
fixed. 

Version-Release number of selected component (if applicable):
1.0.0-1

How reproducible:
Always

Steps to Reproduce:
1.rpm-build packages without pam-devel or openssl-devel installed
2.
3.
    

Actual Results:  without openssl-devel the build stops when not
finding the header files from openssl-devel. Without pam-devel, the
pam-module is not compiled and included in the package. 

Expected Results:  build properly and include the pam-module.

Additional info:
Comment 1 Thomas Woerner 2004-08-25 08:37:00 EDT
Fixed in rawhide in rpm freeradius-1.0.0-2 or newer.
Comment 2 Warren Togami 2004-08-25 22:59:32 EDT
Also missing libtool and pam-devel.  Fixing in rawhide.
Comment 3 Josh Bressers 2004-11-12 11:42:48 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-609.html

Note You need to log in before you can comment on or make changes to this bug.